<?php
class WPOSFLV_Widget extends WP_Widget {

    function WPOSFLV_Widget() {
        $widget_ops = array('classname' => 'WPOSFLV_Widget', 'description' => __("Embed FLV in sidebar", 'wposflv'));
		parent::WP_Widget(false, $name = 'WP OS FLV Widget', $widget_ops);
    }

    public function widget($args, $instance) {		
		extract($args);
		$wtitle = apply_filters('widget_title', $instance['wtitle']);?>		
		<?php echo $before_widget; ?>		
		<?php if($wtitle) echo $before_title . $wtitle . $after_title; ?>		
		<?php $objWPOSFLV = new WPOSFLV(); echo $objWPOSFLV->insertPlayerCode($instance) ?>			
		<?php echo $after_widget;
    }

    public function update($new_instance, $old_instance) {				
		$instance = $old_instance;
		$instance['wtitle'] = strip_tags($new_instance['wtitle']);
		$instance['src'] = strip_tags($new_instance['src']);
		$instance['previewimage'] = strip_tags($new_instance['previewimage']);
		$instance['title'] = strip_tags($new_instance['title']);
		$instance['width'] = strip_tags($new_instance['width']);
		$instance['height'] = strip_tags($new_instance['height']);
			return $instance;
    }

    public function form($instance) {				
        $wtitle = esc_attr($instance['wtitle']);
		$src = esc_attr($instance['src']);
		$previewimage = esc_attr($instance['previewimage']);
		$title = esc_attr($instance['title']);
		$width = esc_attr($instance['width']);
		$height = esc_attr($instance['height']);?>
		
		<p><label for="<?php echo $this->get_field_id('wtitle'); ?>"><?php _e('Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('wtitle'); ?>" name="<?php echo $this->get_field_name('wtitle'); ?>" type="text" value="<?php echo $wtitle; ?>" /></label></p>		
		<p><label for="<?php echo $this->get_field_id('src'); ?>"><?php _e('Source:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('src'); ?>" name="<?php echo $this->get_field_name('src'); ?>" type="text" value="<?php echo $src; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('previewimage'); ?>"><?php _e('Preview Image:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('previewimage'); ?>" name="<?php echo $this->get_field_name('previewimage'); ?>" type="text" value="<?php echo $previewimage; ?>" /></label></p>
		<p><label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Video Title:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" /></label></p>		
		<p><label for="<?php echo $this->get_field_id('width'); ?>"><?php _e('Width:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('width'); ?>" name="<?php echo $this->get_field_name('width'); ?>" type="text" value="<?php echo $width; ?>" /></label></p>		
		<p><label for="<?php echo $this->get_field_id('height'); ?>"><?php _e('Height:'); ?> <input class="widefat" id="<?php echo $this->get_field_id('height'); ?>" name="<?php echo $this->get_field_name('height'); ?>" type="text" value="<?php echo $height; ?>" /></label></p>		
	<?php }
}

?>