// JavaScript Document

jQuery(function() {
	jQuery("#slider").slider({
		range: "min",
		value: jQuery("#hidden-volume").val(),
		min: 0,
		max: 100,
		slide: function(event, ui) {
			jQuery("#display-volume").html(ui.value);
			jQuery("#hidden-volume").val(ui.value);
		}
	});
	
	jQuery('#btncolor-picker').farbtastic('#btncolor');
	jQuery('#accentcolor-picker').farbtastic('#accentcolor');
	jQuery('#txtcolor-picker').farbtastic('#txtcolor');
	
	jQuery('#btncolor, #accentcolor, #txtcolor').focus(function() {
		jQuery(this).next().next().show();
	});
	
	jQuery('#btncolor, #accentcolor, #txtcolor').blur(function() {
		jQuery(this).next().next().hide();
	});
	
	jQuery('#wposflv-options-form').submit(function(){
		$result = true;
		$checkInputs = jQuery(this).find('.validate-color');
		$checkInputs.next().hide();
		var pattern = new RegExp(/^#([0-9a-fA-F]{6})$/);
		for(i=0; i<$checkInputs.length; i++) {			
			if(!pattern.test($checkInputs.eq(i).val())) {
				$checkInputs.eq(i).next().show();
				$result = false;
			}
		}
		return $result;
	})
});